Results 1 to 8 of 8

Thread: Digikam: QMYSQL driver not loaded

  1. #1

    Default Digikam: QMYSQL driver not loaded

    Hello everyone,
    I have been using digikam with Mysql backend for a long time. A few weeks ago this stopped working. The error message on the console is:
    Code:
    stephan@px200e:~> digikam 
    QSqlDatabase: QMYSQL driver not loaded
    QSqlDatabase: available drivers: QSQLITE
    digikam(29573)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Driver not loaded", "Driver not loaded") ] 
    digikam(29573)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Driver not loaded", "Driver not loaded") ]
    Has anyone seen this before and knows how to make mysql access work again with digikam? I believe I have the necessary packages installed:
    Code:
    rpm -qa | sort | grep -i qt | egrep  -i 'mysql|sqlite'
    libqt4-sql-mysql-32bit-4.8.7-4.1.x86_64
    libqt4-sql-mysql-4.8.7-4.1.x86_64
    libqt4-sql-sqlite-32bit-4.8.7-4.1.x86_64
    libqt4-sql-sqlite-4.8.7-4.1.x86_64
    libQt5Sql5-mysql-32bit-5.6.1-2.1.x86_64
    libQt5Sql5-mysql-5.6.1-2.1.x86_64
    libQt5Sql5-sqlite-5.6.1-2.1.x86_64

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,852
    Blog Entries
    14

    Default Re: Digikam: QMYSQL driver not loaded

    Installed packages seem OK to me
    Your repos?
    Code:
    zypper lr -d
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3

    Default Re: Digikam: QMYSQL driver not loaded

    Known problem in Tumbleweed:
    http://bugzilla.opensuse.org/show_bug.cgi?id=986939

    As a workaround you could probably install digikam 5.0.0 from KDE:Extra (which, being a Qt5/KF5 application, uses Qt5's mysql plugin), but be aware that your config is not migrated yet.
    (you can do that manually, by copying the corresponding files from ~/.kde4/share/config/ to ~/.config/).

    But better make a backup of your database first.
    Last edited by wolfi323; 16-Jul-2016 at 05:47.

  4. #4

    Default Re: Digikam: QMYSQL driver not loaded

    Quote Originally Posted by wolfi323 View Post
    Thanks for pointing this bug report out to me. This looks like exactly the same issue:
    Code:
    strings /usr/lib64/qt4/plugins/sqldrivers/libqsql{ite,mysql}.so|grep buildkey
    buildkey=x86_64 linux g++-4 full-config
    buildkey=x86_64 linux g++-6 full-config
    Given the fact that the bug report has been updated only two days ago with what looks like a plan for a fix, I will wait some more time for updated packages.

  5. #5

    Default Re: Digikam: QMYSQL driver not loaded

    Quote Originally Posted by stschoettl View Post
    Thanks for pointing this bug report out to me. This looks like exactly the same issue:
    Code:
    strings /usr/lib64/qt4/plugins/sqldrivers/libqsql{ite,mysql}.so|grep buildkey
    buildkey=x86_64 linux g++-4 full-config
    buildkey=x86_64 linux g++-6 full-config
    Strange that this happened though.
    AFAIK, the whole distribution was rebuilt when they switched to GCC6 as default compiler, so *everything* should be built with GCC6 already.

    And we also added a patch to libqt4 to allow loading plugins built with an older compiler.

  6. #6

    Default Re: Digikam: QMYSQL driver not loaded

    Quote Originally Posted by wolfi323 View Post
    And we also added a patch to libqt4 to allow loading plugins built with an older compiler.
    FYI, I just found out what the problem is:
    In Tumbleweed, that patch is only applied to the main libqt4 package, but not to libqt4-sql-plugins.

    This has been fixed in KDE:Qt (the devel project) over a month ago, but for some reason this change was never forwarded to Factory/Tumbleweed.

    I forwarded it myself now, so it will hopefully work in standard Tumbleweed soon too.
    https://build.opensuse.org/request/show/415406

    So another workaround would be to install libqt4-sql-plugins-mysql from KDE:Qt for now, that one works fine.

  7. #7

    Default Re: Digikam: QMYSQL driver not loaded

    The problem should be fixed now in the latest snapshot.

  8. #8

    Default Re: Digikam: QMYSQL driver not loaded

    Thanks a lot. I just installed libqt4-sql-mysql-4.8.7-5.1.x86_64 from the oss repository and Digikam works again with MySQL backend!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •